add_catch(test_raytracer_b2 test.cpp)

target_link_libraries(test_raytracer_b2 ${PNG_LIBRARY} ${JPEG_LIBRARIES})
target_compile_definitions(test_raytracer_b2 PUBLIC SHAD_TASK_DIR="${CMAKE_CURRENT_SOURCE_DIR}/")
if (TEST_SOLUTION)
    target_include_directories(test_raytracer_b2 PUBLIC ../private/raytracer-geom)
    target_include_directories(test_raytracer_b2 PUBLIC ../private/raytracer-reader)
    target_include_directories(test_raytracer_b2 PUBLIC ../private/raytracer ../raytracer)
else()
    target_include_directories(test_raytracer_b2 PUBLIC ../raytracer)
    target_include_directories(test_raytracer_b2 PUBLIC ../raytracer-geom)
    target_include_directories(test_raytracer_b2 PUBLIC ../raytracer-reader)
endif()
